Skip to main content
GET
/
api
/
service
/
get
/
list
Typescript (SDK)
import { Authlete } from "@authlete/typescript-sdk";

const authlete = new Authlete({
  bearer: process.env["AUTHLETE_BEARER"] ?? "",
});

async function run() {
  const result = await authlete.service.list();

  console.log(result);
}

run();
{
  "start": 0,
  "end": 5,
  "totalCount": 1,
  "services": [
    {
      "accessTokenDuration": 3600,
      "accessTokenType": "Bearer",
      "allowableClockSkew": 0,
      "apiKey": 21653835348762,
      "apiSecret": "uE4NgqeIpuSV_XejQ7Ds3jsgA1yXhjR1MXJ1LbPuyls",
      "attributes": [
        {
          "key": "attribute1-key",
          "value": "attribute1-value"
        },
        {
          "key": "attribute2-key",
          "value": "attribute2-value"
        }
      ],
      "authorizationEndpoint": "https://as.example.com/authz",
      "authorizationResponseDuration": 0,
      "backchannelAuthReqIdDuration": 0,
      "backchannelBindingMessageRequiredInFapi": false,
      "backchannelPollingInterval": 0,
      "backchannelUserCodeParameterSupported": false,
      "claimShortcutRestrictive": false,
      "clientIdAliasEnabled": true,
      "createdAt": 1639373421000,
      "dcrScopeUsedAsRequestable": false,
      "deviceFlowCodeDuration": 0,
      "deviceFlowPollingInterval": 0,
      "directAuthorizationEndpointEnabled": false,
      "directIntrospectionEndpointEnabled": false,
      "directJwksEndpointEnabled": false,
      "directRevocationEndpointEnabled": false,
      "directTokenEndpointEnabled": false,
      "directUserInfoEndpointEnabled": false,
      "dynamicRegistrationSupported": false,
      "errorDescriptionOmitted": false,
      "errorUriOmitted": false,
      "frontChannelRequestObjectEncryptionRequired": false,
      "grantManagementActionRequired": false,
      "hsmEnabled": false,
      "idTokenDuration": 0,
      "introspectionEndpoint": "https://my-service.example.com/introspection",
      "issSuppressed": false,
      "issuer": "https://my-service.example.com",
      "metadata": [
        {
          "key": "clientCount",
          "value": "1"
        }
      ],
      "missingClientIdAllowed": false,
      "modifiedAt": 1639373421000,
      "mutualTlsValidatePkiCertChain": false,
      "nbfOptional": false,
      "number": 5041,
      "parRequired": false,
      "pkceRequired": true,
      "pkceS256Required": false,
      "pushedAuthReqDuration": 0,
      "refreshTokenDuration": 3600,
      "refreshTokenDurationKept": false,
      "refreshTokenDurationReset": false,
      "refreshTokenKept": false,
      "requestObjectEncryptionAlgMatchRequired": false,
      "requestObjectEncryptionEncMatchRequired": false,
      "requestObjectRequired": false,
      "revocationEndpoint": "https://my-service.example.com/revocation",
      "scopeRequired": false,
      "serviceName": "My service",
      "serviceOwnerNumber": 2,
      "singleAccessTokenPerSubject": false,
      "supportedClaimTypes": [
        "NORMAL"
      ],
      "supportedDisplays": [
        "PAGE"
      ],
      "supportedGrantTypes": [
        "AUTHORIZATION_CODE",
        "REFRESH_TOKEN"
      ],
      "supportedIntrospectionAuthMethods": [
        "CLIENT_SECRET_BASIC"
      ],
      "supportedResponseTypes": [
        "CODE"
      ],
      "supportedRevocationAuthMethods": [
        "CLIENT_SECRET_BASIC"
      ],
      "supportedScopes": [
        {
          "defaultEntry": false,
          "description": "A permission to read your history.",
          "name": "history.read"
        },
        {
          "defaultEntry": false,
          "description": "A permission to read your timeline.",
          "name": "timeline.read"
        }
      ],
      "supportedTokenAuthMethods": [
        "CLIENT_SECRET_BASIC"
      ],
      "tlsClientCertificateBoundAccessTokens": false,
      "tokenEndpoint": "https://my-service.example.com/token",
      "tokenExpirationLinked": false,
      "traditionalRequestObjectProcessingApplied": false,
      "unauthorizedOnClientConfigSupported": false,
      "userCodeLength": 0
    }
  ]
}

Authorizations

Authorization
string
header
required

Authenticate every request with a Service Access Token or Organization Token. Set the token value in the Authorization: Bearer <token> header.

Service Access Token: Scoped to a single service. Use when automating service-level configuration or runtime flows.

Organization Token: Scoped to the organization; inherits permissions across services. Use for org-wide automation or when managing multiple services programmatically.

Both token types are issued by the Authlete console or provisioning APIs.

Query Parameters

start
integer<int32>

Start index (inclusive) of the result set. The default value is 0. Must not be a negative number.

end
integer<int32>

End index (exclusive) of the result set. The default value is 5. Must not be a negative number.

Response

start
integer<int32>

Start index (inclusive) of the result set. The default value is 0. Must not be a negative number.

end
integer<int32>

Start index (inclusive) of the result set. The default value is 0. Must not be a negative number.

totalCount
integer<int32>

Total number of services owned by the service owner. This doesn't mean the number of services contained in the response.

services
object[]

An array of services.